# -*- po -*-
# English translations for Mroonga package.
# Copyright (C) 2009-2026, Mroonga Project
# This file is distributed under the same license as the Mroonga package.
# Automatically generated, 2026.
#
msgid ""
msgstr ""
"Project-Id-Version: Mroonga mrn_version\n"
"Report-Msgid-Bugs-To: \n"
"PO-Revision-Date: 2026-03-30 08:04+0000\n"
"Last-Translator: Automatically generated\n"
"Language-Team: none\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Language: en\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"

msgid "``mroonga_snippet()``"
msgstr "``mroonga_snippet()``"

msgid "Summary"
msgstr "Summary"

msgid ""
"``mroonga_snippet()`` UDF provides functionality to get keyword in context."
msgstr ""
"``mroonga_snippet()`` UDF provides functionality to get keyword in context."

msgid "Syntax"
msgstr "Syntax"

msgid "``mroonga_snippet()`` has required parameter and optional parameter::"
msgstr "``mroonga_snippet()`` has required parameter and optional parameter::"

msgid "Usage"
msgstr "Usage"

msgid ""
"There is a case that you want to extract keyword and surrounding text as a "
"search results."
msgstr ""
"There is a case that you want to extract keyword and surrounding text as a "
"search results."

msgid ""
"Snippet means 'keyword and surrounding text'. It is called 'Keyword in "
"context'."
msgstr ""
"Snippet means 'keyword and surrounding text'. It is called 'Keyword in "
"context'."

msgid ""
"``mroonga_snippet()`` function provides the way to get snippet from search "
"results."
msgstr ""
"``mroonga_snippet()`` function provides the way to get snippet from search "
"results."

msgid "You can use ``mroonga_snippet()`` UDF in storage mode and wrapper mode."
msgstr ""
"You can use ``mroonga_snippet()`` UDF in storage mode and wrapper mode."

msgid ""
"``mroonga_snippet()`` function is included in Mroonga as a User-Defined "
"Function (UDF), but if you have not yet register it in MySQL by CREATE "
"FUNCTION, you need to invoke the following SQL for defining a function. ::"
msgstr ""
"``mroonga_snippet()`` function is included in Mroonga as a User-Defined "
"Function (UDF), but if you have not yet register it in MySQL by CREATE "
"FUNCTION, you need to invoke the following SQL for defining a function. ::"

msgid ""
"``mroonga_snippet()`` function is useful for searching the text which "
"contains keyword and associated one by using MATCH .. AGAINST syntax."
msgstr ""
"``mroonga_snippet()`` function is useful for searching the text which "
"contains keyword and associated one by using MATCH .. AGAINST syntax."

msgid ""
"Imagine searching the document which contains 'fulltext' as a keyword. "
"Assume that some keyword such as 'MySQL' and 'search' are associated with "
"'fulltext'."
msgstr ""
"Imagine searching the document which contains 'fulltext' as a keyword. "
"Assume that some keyword such as 'MySQL' and 'search' are associated with "
"'fulltext'."

msgid "``mroonga_snippet()`` function meets above."
msgstr "``mroonga_snippet()`` function meets above."

msgid "Here is the schema definition for execution examples(storage mode)::"
msgstr "Here is the schema definition for execution examples(storage mode)::"

msgid "Here is the schema definition for execution examples(wrapper mode)::"
msgstr "Here is the schema definition for execution examples(wrapper mode)::"

msgid "Here is the sample data for execution examples::"
msgstr "Here is the sample data for execution examples::"

msgid "Here is the results of execution examples::"
msgstr "Here is the results of execution examples::"

msgid ""
"The keyword 'fulltext' and associated keyword 'MySQL' and 'search' has been "
"extracted."
msgstr ""
"The keyword 'fulltext' and associated keyword 'MySQL' and 'search' has been "
"extracted."

msgid "Parameters"
msgstr "Parameters"

msgid "Required parameters"
msgstr "Required parameters"

msgid "There are many required parameters."
msgstr "There are many required parameters."

msgid "``document``"
msgstr "``document``"

msgid "The column name or string value is required."
msgstr "The column name or string value is required."

msgid "``max_length``"
msgstr "``max_length``"

msgid "The max length of snippet (bytes) is required."
msgstr "The max length of snippet (bytes) is required."

msgid "``max_count``"
msgstr "``max_count``"

msgid "The max elements of snippets (N word) is required."
msgstr "The max elements of snippets (N word) is required."

msgid "``encoding``"
msgstr "``encoding``"

msgid ""
"The encoding of document is required. You can specify the value of encoding "
"such as 'ascii_general_ci', 'cp932_japanese_ci', 'eucjpms_japanese_ci' and "
"so on."
msgstr ""
"The encoding of document is required. You can specify the value of encoding "
"such as 'ascii_general_ci', 'cp932_japanese_ci', 'eucjpms_japanese_ci' and "
"so on."

msgid "``skip_leading_spaces``"
msgstr "``skip_leading_spaces``"

msgid ""
"Specify whether skip leading spaces or not. Specify the value 1 for skipping "
"leading spaces, 0 for not."
msgstr ""
"Specify whether skip leading spaces or not. Specify the value 1 for skipping "
"leading spaces, 0 for not."

msgid "``html_escape``"
msgstr "``html_escape``"

msgid ""
"HTML escape is enabled or not. Specify the value 1 for enabling HTML escape, "
"0 for not."
msgstr ""
"HTML escape is enabled or not. Specify the value 1 for enabling HTML escape, "
"0 for not."

msgid "``prefix``"
msgstr "``prefix``"

msgid "The start text of snippet."
msgstr "The start text of snippet."

msgid "``suffix``"
msgstr "``suffix``"

msgid "The end text of snippet."
msgstr "The end text of snippet."

msgid "Optional parameters"
msgstr "Optional parameters"

msgid ""
"There is one optional group parameter, ``wordN`` related prefix and suffix."
msgstr ""
"There is one optional group parameter, ``wordN`` related prefix and suffix."

msgid "``wordN``"
msgstr "``wordN``"

msgid "Specify any word."
msgstr "Specify any word."

msgid "``wordN_prefix``"
msgstr "``wordN_prefix``"

msgid "It is the start text of wordN."
msgstr "It is the start text of wordN."

msgid "``wordN_suffix``"
msgstr "``wordN_suffix``"

msgid "It is the end text of wordN."
msgstr "It is the end text of wordN."

msgid "Return value"
msgstr "Return value"

msgid "It returns snippet string."
msgstr "It returns snippet string."
